import 'package:demo_hive/domain/entity/reminder.dart';
import 'package:equatable/equatable.dart';

abstract class ReminderEvent extends Equatable{
  @override
  // TODO: implement props
  List<Object> get props => throw UnimplementedError();

}

class InitialEvent extends ReminderEvent{}

class GetValueTitleEvent extends ReminderEvent{
  final String title;
  GetValueTitleEvent({this.title});
  @override
  // TODO: implement props
  List<Object> get props =>[title];
}
class AddTitleEvent extends ReminderEvent{
  final String title;
  AddTitleEvent({this.title});
  // TODO: implement props
  List<Object> get props => [title];
}
class RemoveEvent extends ReminderEvent{
  @override
  // TODO: implement props
  List<Object> get props => throw UnimplementedError();

}
class AddNotesEvent extends ReminderEvent{
  final String notes;
  AddNotesEvent({this.notes});
  @override
  // TODO: implement props
  List<Object> get props => [notes];
}
class RemoveReminderEvent extends ReminderEvent{
  List<Object> get props => [];
}

class RemoveTitle extends ReminderEvent{
  final int index;
  RemoveTitle({this.index});

  List<Object> get props => [this.index];
}

class RemoveAllEvent extends ReminderEvent{
  final List<ReminderEntity> reminderEntity;
  RemoveAllEvent({this.reminderEntity});
  @override
  // TODO: implement props
  List<Object> get props => [reminderEntity];
}